com.amazonaws.services.codebuild.model

## Enum ArtifactsType

- java.lang.Object
- - java.lang.Enum<ArtifactsType>
  - - com.amazonaws.services.codebuild.model.ArtifactsType

All Implemented Interfaces:
  Serializable, Comparable<ArtifactsType>

    public enum ArtifactsType
    extends Enum<ArtifactsType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CODEPIPELINE`
`NO_ARTIFACTS`
`S3`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ArtifactsType` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static ArtifactsType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ArtifactsType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CODEPIPELINE

    public static final ArtifactsType CODEPIPELINE

#### S3

    public static final ArtifactsType S3

#### NO_ARTIFACTS

    public static final ArtifactsType NO_ARTIFACTS

### Method Detail

#### values

    public static ArtifactsType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ArtifactsType c : ArtifactsType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ArtifactsType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ArtifactsType>`

#### fromValue

    public static ArtifactsType fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  ArtifactsType corresponding to the value